iOS Release not working on iOS9.x

Hi.

I just built for iOS and released via the App Store, but users on iOS 9.3, 9.4 and 9.5 have all reported our app crashing as soon as it’s opened. Unfortunately I have no iOS9 device here to test it on.

The minimum version of iOS that is supported in the plist file produced by Solar2d is 8.0.

Is this a known issue with the latest builds of Solar2d?

App works fine on all more recent versions of iOS up to and including the most recent 14.2.

Thanks,

Ian

Why even try and support such old crappy hardware?

Some people can’t afford to upgrade, plus we make kids apps and most people don’t want to give their kids a brand new iPad, so a lot of our users have older devices. If anyone has any ideas on this, would be great to hear. Thanks.

If you’re using Chartboost, that might be the problem.

Thanks - I’m not using that plugin, but appreciate the response.

I’ve tried stripping everything out of my app and just installing a Solar2d built “shell” with the most basic build.settings and the init() function commented out so nothing runs and I still get the error.

Looking at the logs, it’s a SIGABRT error, which from what I’ve read seems to usually be due to trying to access an out of bounds array element or a nil object, but seeing as I’m not running any actual code, I don’t see how that can be it. Basic error details below.

Date/Time:           2020-11-19 19:07:35.35 +0000
Launch Time:         2020-11-19 19:07:34.34 +0000
OS Version:          iOS 9.3.5 (13G36)
Report Version:      105

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note:  EXC_CORPSE_NOTIFY
Triggered by Thread:  0

Okay I think I’ve worked it out.

If you build for iOS 14.1 Metal or 14.2 Metal, the problem occurs.

If you build for iOS 14.1 then the app runs fine.

The problem though, is that the version that is published out as the minimum SDK version even for iOS 14.1 Metal, is iOS version 8, which means the App Store allows users to download the app and install it, but it then crashes.

Vlad - assume the answer in the future is an update to Solar2d so that anything published out for iOS 14.1 Metal or later has a higher minimum iOS version set so that the App Store won’t actually allow a download of an app targeting 14.1 Metal.

Is that something that can be done?

Thanks.

I block all iOS devices under 13 (too old and poor specs to play my games).

FYI, This doesn’t need an update. You can do this already in your plist.